This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 149943 - lvm2 device permissions wrong
lvm2 device permissions wrong
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-28 16:48 EST by David Carlson
Modified: 2010-01-11 21:14 EST (History)
0 users

See Also:
Fixed In Version: 1.00.20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 10:10:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Carlson 2005-02-28 16:48:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
The permissions on the default volume groups are 600 root:root, and should really IMHO) mirror sd* permissions: 660 root:disk.  Specifically, this makes amanda-client die and causes amanda-based backups not to run.

Version-Release number of selected component (if applicable):
udev-039-10.8.EL4

How reproducible:
Always

Steps to Reproduce:
1. Set up a RHEL 4 host with LVM (the default)
2. Set up a backup set including a RHEL 4 host (make sure a hole is in the fw)
3. Run amcheck


Actual Results:  Amanda Backup Client Hosts Check
--------------------------------
ERROR: <somewhere>.math.umn.edu: [could not access /dev/mapper/VolGroup00-LogVol00 (root): Permission denied]
Client check: 3 hosts checked in 0.024 seconds, 1 problem found

Expected Results:  Amanda Backup Client Hosts Check
--------------------------------
Client check: 3 hosts checked in 0.024 seconds, 0 problems found

Additional info:

I don't know if it's udev that sets the permission (lvm might?), but it's been the culprit for other things, so I might as well.
Comment 1 Harald Hoyer 2005-03-01 06:11:52 EST
$ udevinfo -q all -n /dev/mapper/Vol1-lvol0
device not found in database

lvm devices do not seem to be created by udev.
Comment 2 Alasdair Kergon 2005-03-01 10:10:18 EST
Indeed, doesn't use udev.
Already addressed in 1.00.20 which should be included in U1.

Note You need to log in before you can comment on or make changes to this bug.